Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Vraag


  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
'Vroeger' gebruikte ik altijd een Ubiquiti Edgerouter. Echter, toen deze 2 maanden geleden defect raakte, moest ik halsoverkop iets anders gebruiken, om mijzelf van internet te kunnen blijven voorzien. Gelukkig was daar een image van PFSense dat ik nog had liggen.

Sindsdien ben ik verkocht! Schitterend systeem, alles wat ik wil krijg ik voor elkaar en werkt vlekkeloos. Behalve 1 vervelend ding... Het blijft maar corrupt raken!

Elke keer als ik een instelling aanpas (package verwijderen of IPSEC tunnel aanmaken, bijvoorbeeld), raakt mijn PFSense weer corrupt. Het start prima op, maar WebGUI heeft 'halve pagina's', alle instellingen zijn weg en mijn internet functioneert niet. Godzijdank heb ik een snapshot op VMWare draaien, zodat ik snel terug kan, maar ik zit nu dus 'vast'. Kan geen instelling meer maken, zonder dat het corrupt raakt.

Heeft iemand enig idee waar dit door komt of hoe ik kan vinden wat er hier aan de hand is?

Het is PFSense 2.4.4 P3, draaiend op een HP DL380 G7 met 2 VMXNET3 NICs. 1 naar mijn switch en 1 naar mijn glasvezel modem.

Heb al meerdere ISOs geprobeerd en na een herinstallatie lijkt alles prima te zijn. Tot na een paar weken, dan gebeurt dit ineens. En dit is niet de eerste keer. Het is nu ook te reproduceren (omdat ik een snapshot heb, kan ik dingen testen).

Op internet is er weinig over te vinden. Alleen dat het kan gebeuren na een power outage, maar daar is hier totaal geen sprake van.

Ik vind het schitterende software en zou het graag blijven gebruiken, maar op deze manier is het niet werkbaar.

Alle reacties


  • RvV
  • Registratie: juli 2000
  • Laatst online: 22:56
En je andere vm's op de esxi? host hebben geen problemen?
Is de vm hardware versie up to date?
Waar draait je storage?

10.400Wp Growatt, 2600Wp APS YC600. 4xL/L wp.


  • Rolfie
  • Registratie: oktober 2003
  • Laatst online: 22:42
Ik draai ook verschillende instances op ESXi 6.5 en 6.7 zonder enige problemen.

Je zou eens moeten kijken of of misschien OPNsense er ook last van heeft.

wat ik kan bedenken een andere storage adapter voor je vm te gebruiken?
Eventueel misschien iets wat op je storage verkeerd gaat?
Zit het probleem ook werkelijk in de pfsense database Of is het een website corruptie only?

  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
RvV schreef op zaterdag 4 januari 2020 @ 14:43:
En je andere vm's op de esxi? host hebben geen problemen?
Is de vm hardware versie up to date?
Waar draait je storage?
Hardware is up to date en storage is gewoon local storage op RAID-1 schijven. Andere VM's hebben totaal geen last. Het is alleen PFSense.

[Voor 8% gewijzigd door Massiefje op 04-01-2020 14:55]


  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
Rolfie schreef op zaterdag 4 januari 2020 @ 14:47:
Ik draai ook verschillende instances op ESXi 6.5 en 6.7 zonder enige problemen.

Je zou eens moeten kijken of of misschien OPNsense er ook last van heeft.

wat ik kan bedenken een andere storage adapter voor je vm te gebruiken?
Eventueel misschien iets wat op je storage verkeerd gaat?
Zit het probleem ook werkelijk in de pfsense database Of is het een website corruptie only?
Het is niet website corruptie only, zo lijkt het. Want als het eenmaal corrupt is, doet ook PFSense niet meer wat het moet doen. IPSEC tunnels zijn offline, internet ligt eruit, etc etc.

  • RvV
  • Registratie: juli 2000
  • Laatst online: 22:56
Dan eens een blik werpen in de virtual machine log file en de vmkernel.log of daar iets geks te zien is op het moment dat hij gek gaat doen. Ik heb al een tijdje geen pfsense vm's meer draaien op esxi maar je maakt een nieuwe vm aan met OS type op FreeBSD?

10.400Wp Growatt, 2600Wp APS YC600. 4xL/L wp.


  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
RvV schreef op zaterdag 4 januari 2020 @ 15:02:
Dan eens een blik werpen in de virtual machine log file en de vmkernel.log of daar iets geks te zien is op het moment dat hij gek gaat doen. Ik heb al een tijdje geen pfsense vm's meer draaien op esxi maar je maakt een nieuwe vm aan met OS type op FreeBSD?
Ja, goede tip, maar uiteraard!

Het is overigens ESXi 6.0

  • RvV
  • Registratie: juli 2000
  • Laatst online: 22:56
Dan de VM downloaden uit de datastore, kopieren naar een ander stuk hardware met esxi 6.7 en daar de vmx importeren. Volgens mij stuurt dat je vrij snel in een bepaalde richting, zelfs als je weer problemen zou krijgen.

10.400Wp Growatt, 2600Wp APS YC600. 4xL/L wp.


  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
RvV schreef op zaterdag 4 januari 2020 @ 19:58:
Dan de VM downloaden uit de datastore, kopieren naar een ander stuk hardware met esxi 6.7 en daar de vmx importeren. Volgens mij stuurt dat je vrij snel in een bepaalde richting, zelfs als je weer problemen zou krijgen.
Ik heb geen server met VMWare 6.7. Server ondersteund maximaal 6.0. En om nou een nieuwe server aan te schaffen voor PFSense....

  • RammY
  • Registratie: oktober 2001
  • Laatst online: 12:51

RammY

Dát!

Backup van de config uit de pfSense draaien (Diagnostics > Backup & Restore > Download configuration as XML)
Nieuwe VM optuigen met pfSense en config importeren.

Kind kan de was doen :)
Gok dat het iets in de VM is.

[Voor 17% gewijzigd door RammY op 08-01-2020 14:00]

Deze advertentieplaats is te huur!


  • MisteRMeesteR
  • Registratie: december 2001
  • Laatst online: 21:44

MisteRMeesteR

Moderator Internet & Netwerken

Is Gek op... :)

Ik ga idd mee met het verhaal van @RammY.

Ik heb hier thuis ook PFSense 2.4.4 P3 draaien in een VM voor in mijn geval enkel IPTV/IGMP proxy (maar wordt alsnog zwaar benut door 2 koters in huis).

Ik gebruik dan weliswaar een HP Gen8 server hiervoor maar de VM is zo stabiel als wat en ook qua resources vraagt het ding nauwelijks iets, lijkt mij niet dat een Gen7 server het heel warm zou krijgen van deze load, om je een beeld te geven:

https://tweakers.net/ext/f/qJCPug5vUxG9iRgzZhJs4EXz/full.png

www.google.nl


  • _trickster_
  • Registratie: mei 2005
  • Laatst online: 05-04 00:13
Massiefje schreef op zaterdag 4 januari 2020 @ 14:31:
'Vroeger' gebruikte ik altijd een Ubiquiti Edgerouter. Echter, toen deze 2 maanden geleden defect raakte, moest ik halsoverkop iets anders gebruiken, om mijzelf van internet te kunnen blijven voorzien. Gelukkig was daar een image van PFSense dat ik nog had liggen.
Misschien een beetje off-topic, maar wat is er defect aan?
Ik had hier laatst ook een Edge-router Lite die niet meer wou booten, bleek alleen de Interne USB stick defect te zijn.

Nieuwe USB stick gepakt, Image erop en hij functioneert weer perfect.

  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
Ik denk dat ik het opgelost heb.... *gaat zich schamen in een hoekje*

Er was een package NTOPNG geinstalleerd en die bleef maar data verzamelen. Conclusie: Storage Full!

Heb NTOPNG zojuist verwijderd en het probleem LIJKT verholpen te zijn. Zal het weekend nog wat meer testen!

Iedereen bedankt!

  • Massiefje
  • Registratie: mei 2002
  • Laatst online: 17-03 16:49
_trickster_ schreef op woensdag 8 januari 2020 @ 17:29:
[...]


Misschien een beetje off-topic, maar wat is er defect aan?
Ik had hier laatst ook een Edge-router Lite die niet meer wou booten, bleek alleen de Interne USB stick defect te zijn.

Nieuwe USB stick gepakt, Image erop en hij functioneert weer perfect.
Ik heb jou hier even een PM over gestuurd!

  • fotowilco
  • Registratie: september 2009
  • Laatst online: 08-04 16:47

fotowilco

Niet geschoten is altijd mis!

als je ssh aanzet kun je er dan wel bij?
wij kregen regelmatig errors en php meldingen. dit kwam door de cron add-on

ff handmatig updaten via ssh

geef achter elkaar de volgende commando's
pkg update -f
pkg upgrade -f pfSense-repo
pkg info | grep pfSense-repo (this should return 2.4.4_7, if it does not, check for another update.)
/etc/rc.php_ini_setup
Now exit the shell and run option 16 to restart the PHP-FPM Service, you "may" also need to reboot the unit.

Canon 5DIII | Canon 7D | EF 24-70 2.8L | EF 70-200mm f/2.8L USM IS Type II | 50 MM 1.8 | Canon 430 EXII |

Pagina: 1


Apple iPhone 11 Microsoft Xbox Series X LG OLED C9 Google Pixel 4 CES 2020 Samsung Galaxy S20 4G Sony PlayStation 5 Nintendo Switch Lite

'14 '15 '16 '17 2018

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2020 Hosting door True